Subject: Re: bug#22055: Some Elpa packages don't provide a feature

From: Artur Malabarba <[email-masked]>
Date: Thu, 3 Dec 2015 15:41:16 +0000

2015-12-03 14:34 GMT+00:00 Jonas Bernoulli <[email-masked]>:
>
> Artur Malabarba <[email-masked]> writes:
>
>>> `load-relative' also doesn't provide its feature using `provide', but
>>> that is intentional - it uses the alternative `provide-me' form, which
>>> it itself defines.
>>
>> I can't see the benefit but I also can't see the harm. Did it affect you
>> negatively in any way?
>
> No, I just cannot mirror it on the Emacsmirror, but that does not really
> matter because I also could not mirror any other package which uses
> `provide-me'.  I extract metadata for all mirrored packages, including
> the provided features, and the respective code does not support
> `provide-me'.  I don't intend to support that form until at least halve
> a dozen packages use it.

Well, I couldn't find a package Gelpa or Melpa that uses it. So I
think it's not really a big deal either way. =P